Bug 54296 - python-2.2 broke a lot of packages
Summary: python-2.2 broke a lot of packages
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: python (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-03 19:07 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 15:31:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-03 19:07:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010929

Description of problem:
Installing python-2.2 removed the 1.5 files. Maybe a python1.5 
should be provided, bridging the gap until all is converted 
(if this is the plan).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install python-2.2
2.
3.
	

Actual Results:  Many .spec files still have hardcoded paths to python1.5
such as 
rpm-4.0.3-1.0.4, parted-1.4.16-8. Also other packages are affected,
indirectly: redhat-config-network-0.9-1 via alchemist etc

Additional info:

rpm -qf  /usr/lib/python1.5/site-packages/*
recompile:
alchemist-1.0.18-1
MySQL-python-0.9.0-2
pygtk-0.6.8-3
m2crypto-0.05_snap4-2
pygnome-1.4.1-3
pygnome-applet-1.4.1-3
pygnome-capplet-1.4.1-3
pygnome-libglade-1.4.1-3
pygnome-gtkhtml-1.4.1-3
pygnome-gtkhtml-1.4.1-3
pygtk-0.6.8-3
pygtk-glarea-0.6.8-3
pygtk-libglade-0.6.8-3
python-xmlrpc-1.4.5-0.7.x
kudzu-0.99.23-1
libuser-0.32-1
mx-2.0.2-1
parted-1.4.16-7
rpm-python-4.0.3-0.96
pychecker-0.7.5-1

Comment 1 Sammy 2001-10-04 15:31:49 UTC
Yes, and this was reported after the last rawhide release! python-2.2
should not be out there until all other packages are fixed to install into
the new directory.


Comment 2 Trond Eivind Glomsrxd 2002-08-13 22:20:11 UTC
Everything has been updated now - the libraries now work with python 2.2. See
the limbo beta for more info.


Note You need to log in before you can comment on or make changes to this bug.